Package uk.ac.starlink.topcat.plot2

## Class SimplePositionCoordPanel

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.CoordPanel
  - - uk.ac.starlink.topcat.plot2.PositionCoordPanel
    - - uk.ac.starlink.topcat.plot2.SimplePositionCoordPanel

-     public class SimplePositionCoordPanel
      extends PositionCoordPanel

  Simple implementation of a PositionCoordPanel. It only deals with a single, fixed, DataGeom.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimplePositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys, uk.ac.starlink.ttools.plot2.DataGeom geom)` | Constructs a CoordPanel for selecting Coords and Config values.
    `SimplePositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.DataGeom geom)` | Constructs a panel for selecting just Coords.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SimplePositionCoordPanel` | `createPanel​(uk.ac.starlink.ttools.plot2.DataGeom geom, int npos, CoordSpotter[] spotters)` | Constructs a position coord panel based on a given DataGeom.
    `uk.ac.starlink.ttools.plot2.DataGeom` | `getDataGeom()` | Returns the position geometry that defines the mapping of input to data coordinates.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.PositionCoordPanel

      `multiplyCoords`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

      `addActionListener, addButtons, autoPopulate, getActionForwarder, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getTable, populate, removeActionListener, setColumnSelector, setTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePositionCoordPanel

          public SimplePositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords,
                                          uk.ac.starlink.ttools.plot2.DataGeom geom)

      Constructs a panel for selecting just Coords.
      Parameters:
        `coords` - coordinate definitions for which values are required
        `geom` - fixed data geom

    - #### SimplePositionCoordPanel

          public SimplePositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords,
                                          uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys,
                                          uk.ac.starlink.ttools.plot2.DataGeom geom)

      Constructs a CoordPanel for selecting Coords and Config values.
      Parameters:
        `coords` - coordinate definitions for which values are required
        `configKeys` - config value keys
        `geom` - fixed data geom

  - ### Method Detail

    - #### getDataGeom

          public uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()

      Description copied from class: `PositionCoordPanel`
      Returns the position geometry that defines the mapping of input to data coordinates.
      Specified by:
        `getDataGeom` in class `PositionCoordPanel`
      Returns:
        data geom

    - #### createPanel

          public static SimplePositionCoordPanel createPanel​(uk.ac.starlink.ttools.plot2.DataGeom geom,
                                                             int npos,
                                                             CoordSpotter[] spotters)

      Constructs a position coord panel based on a given DataGeom. A given number of groups of the positional coordinates defined by the DataGeom are shown.
      Parameters:
        `geom` - provides description of positional coordinates
        `npos` - number of positional groups to include